Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

API/Repository/Values/Content/ContentInfo.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\API\Repository\Values\Content;
8
9 use eZ\Publish\API\Repository\Values\ValueObject;
10
30 class ContentInfo extends ValueObject
31 {
32 const STATUS_DRAFT = 0;
33 const STATUS_PUBLISHED = 1;
34 const STATUS_TRASHED = 2;
35
41 protected $id;
42
48 protected $contentTypeId;
49
57 protected $name;
58
64 protected $sectionId;
65
72 protected $currentVersionNo;
73
79 protected $published;
80
86 protected $ownerId;
87
93 protected $modificationDate;
94
100 protected $publishedDate;
101
107 protected $alwaysAvailable;
108
114 protected $remoteId;
115
121 protected $mainLanguageCode;
122
131 protected $mainLocationId;
132
140 protected $status;
141
143 protected $isHidden;
144
148 public function isDraft()
149 {
150 return $this->status === self::STATUS_DRAFT;
151 }
152
156 public function isPublished()
157 {
158 return $this->status === self::STATUS_PUBLISHED;
159 }
160
164 public function isTrashed()
165 {
166 return $this->status === self::STATUS_TRASHED;
167 }
168 }
eZ\Publish\API\Repository\Values\Content\ContentInfo
Definition: API/Repository/Values/Content/ContentInfo.php:31
eZ\Publish\API\Repository\Values\Content\ContentInfo\$currentVersionNo
$currentVersionNo
Definition: API/Repository/Values/Content/ContentInfo.php:72
eZ\Publish\API\Repository\Values\Content\ContentInfo\$ownerId
$ownerId
Definition: API/Repository/Values/Content/ContentInfo.php:86
eZ\Publish\API\Repository\Values\Content\ContentInfo\$name
$name
Definition: API/Repository/Values/Content/ContentInfo.php:57
eZ\Publish\API\Repository\Values\Content\ContentInfo\STATUS_TRASHED
const STATUS_TRASHED
Definition: API/Repository/Values/Content/ContentInfo.php:34
eZ\Publish\API\Repository\Values\Content\ContentInfo\$status
$status
Definition: API/Repository/Values/Content/ContentInfo.php:140
eZ\Publish\API\Repository\Values\Content\ContentInfo\$contentTypeId
$contentTypeId
Definition: API/Repository/Values/Content/ContentInfo.php:48
eZ\Publish\API\Repository\Values\Content\ContentInfo\$isHidden
$isHidden
Definition: API/Repository/Values/Content/ContentInfo.php:143
eZ\Publish\API\Repository\Values\Content\ContentInfo\STATUS_PUBLISHED
const STATUS_PUBLISHED
Definition: API/Repository/Values/Content/ContentInfo.php:33
eZ\Publish\API\Repository\Values\Content\ContentInfo\$published
$published
Definition: API/Repository/Values/Content/ContentInfo.php:79
eZ\Publish\API\Repository\Values\Content\ContentInfo\$modificationDate
$modificationDate
Definition: API/Repository/Values/Content/ContentInfo.php:93
eZ\Publish\API\Repository\Values\Content\ContentInfo\$mainLocationId
$mainLocationId
Definition: API/Repository/Values/Content/ContentInfo.php:131
eZ\Publish\API\Repository\Values\Content\ContentInfo\$id
$id
Definition: API/Repository/Values/Content/ContentInfo.php:41
eZ\Publish\API\Repository\Values\Content\ContentInfo\isPublished
isPublished()
Definition: API/Repository/Values/Content/ContentInfo.php:156
eZ\Publish\API\Repository\Values\Content\ContentInfo\$sectionId
$sectionId
Definition: API/Repository/Values/Content/ContentInfo.php:64
eZ\Publish\API\Repository\Values\Content\ContentInfo\$mainLanguageCode
$mainLanguageCode
Definition: API/Repository/Values/Content/ContentInfo.php:121
eZ\Publish\API\Repository\Values\Content\ContentInfo\$alwaysAvailable
$alwaysAvailable
Definition: API/Repository/Values/Content/ContentInfo.php:107
eZ\Publish\API\Repository\Values\Content\ContentInfo\$remoteId
$remoteId
Definition: API/Repository/Values/Content/ContentInfo.php:114
eZ\Publish\API\Repository\Values\Content\ContentInfo\isTrashed
isTrashed()
Definition: API/Repository/Values/Content/ContentInfo.php:164
eZ\Publish\API\Repository\Values\Content\ContentInfo\$publishedDate
$publishedDate
Definition: API/Repository/Values/Content/ContentInfo.php:100
eZ\Publish\API\Repository\Values\Content\ContentInfo\STATUS_DRAFT
const STATUS_DRAFT
Definition: API/Repository/Values/Content/ContentInfo.php:32
eZ\Publish\API\Repository\Values\Content\ContentInfo\isDraft
isDraft()
Definition: API/Repository/Values/Content/ContentInfo.php:148
eZ\Publish\API\Repository\Values\ValueObject
Definition: API/Repository/Values/ValueObject.php:21
eZ\Publish\API\Repository\Values\Content
Definition: Publish/API/Repository/Values/Content/Content.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.